#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Tools for using a Web Server Gateway Interface stack
Summary(pl.UTF-8):	Narzędzia do używania stosu Web Server Gateway Interface
Name:		python3-Paste
Version:	3.10.1
Release:	1
Group:		Libraries/Python
License:	MIT
#Source0Download: https://pypi.org/simple/paste/
Source0:	https://files.pythonhosted.org/packages/source/P/Paste/paste-%{version}.tar.gz
# Source0-md5:	7d59952c9e108d8d381944b40e90e47a
URL:		https://pypi.org/project/Paste/
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools >= 0.6-0.a9.1
%if %{with tests}
BuildRequires:	python3-pytest
BuildRequires:	python3-six >= 1.4.0
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Paste provides several pieces of "middleware" (or filters) that can be
nested to build web applications. Each piece of middleware uses the
WSGI (PEP 333) interface, and should be compatible with other
middleware based on those interfaces.

%description -l pl.UTF-8
Pakiet Paste dostarcza kilka części warstwy pośredniej (lub filtrów),
które można osadzać w celu zbudowania aplikacji WWW. Każda część
warstwy pośredniej używa interfejsu WSGI (PEP 333) i powinna być
kompatybilna z inną warstwą pośrednią opartą na tych interfejsach.

%package apidocs
Summary:	API documentation for Python Paste module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona Paste
Group:		Documentation

%description apidocs
API documentation for Python Paste module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona Paste.

%prep
%setup -q -n paste-%{version}

# online test + requires outdated pythonpaste.org website content
%{__rm} tests/test_proxy.py

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif

%if %{with doc}
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst docs/{license,news}.txt
# paste is also top dir for other python3-Paste* packages
%dir %{py3_sitescriptdir}/paste
%{py3_sitescriptdir}/paste/auth
%{py3_sitescriptdir}/paste/cowbell
%{py3_sitescriptdir}/paste/debug
%{py3_sitescriptdir}/paste/evalexception
%{py3_sitescriptdir}/paste/exceptions
%{py3_sitescriptdir}/paste/util
%{py3_sitescriptdir}/paste/*.py
%{py3_sitescriptdir}/paste/__pycache__
%{py3_sitescriptdir}/Paste-%{version}-py*.egg-info
%{py3_sitescriptdir}/Paste-%{version}-py*-nspkg.pth

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,community,download,include,modules,*.html,*.js}
%endif
%changelog
* Sat May 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-Paste.git;a=log;h=master

* Sat May 03 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 42db7e7
- Up to 3.10.1

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 2e005f8
- BR: pytest instead of nose

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 80ccc59
- python-Paste.spec updated to 3.7.1 for python 3.6+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> fa15ae2
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 88e4426
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e767aea
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 47025e7
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a51fce2
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> e091c80
- updated to 2.0.3 (python 3 support)
- added py3.7 patch (fix StopIteration issue detected by tests)
- added python3- and -apidocs packages

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a7ed80f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 834f6b1
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5cb1473
- automatic change: use py_build/py_install macros

* Tue Jul 23 2013 Jan Rękorajski <baggins@pld-linux.org> 49d54a1
- release 2 (by relup.sh)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> cfd2d4d
- up to 1.7.5.1

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 21ecfd7
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> aa45982
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 60d708a
- release 2

* Sun Mar 15 2009 duddits <duddits@pld-linux.org> 37dfe16
- up to 1.7.2

* Fri Feb 06 2009 beorn <beorn@pld-linux.org> 2810aa4
- Group name fix

* Sat Nov 01 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ca56d84
- release 1

